#!/bin/sh

# Check to see that the Zenwalk Customized E17
# config files are installed and they are not
# there...solve that problem.    ;)

if [ ! -e ${HOME}/.e ] ; then
       # The configs do not exist so install them
       cp -a /etc/enlightenment/zenwalk-defaults/.e ${HOME} > /dev/null 2>&1
       chown -R $(whoami):users ${HOME}/.e
fi

# Useful definitions

userresources=/root/.Xresources
usermodmap=/root/.Xmodmap
sysresources=/etc/X11/xinit/.Xresources
sysmodmap=/etc/X11/xinit/.Xmodmap

# Merge in defaults and keymaps

if [ -f  ]; then
    /usr/bin/xrdb -merge 
fi
if [ -f  ]; then
    /usr/bin/xmodmap 
fi
if [ -f  ]; then
    /usr/bin/xrdb -merge 
fi
if [ -f  ]; then
    /usr/bin/xmodmap 
fi

# Launch xscreensaver (if available), but only as non-root user

test 0 -gt 0 -a -z "" && xscreensaver -no-splash &

# Use ssh-agent if installed and not already running.  Run it separately
# so it populates the environment here, so we can clean it up later.

sshagent=/usr/bin/ssh-agent
kill_sshagent=0
if test -z "3879" -a "" -a "x" != "xno"; then
    eval 
    kill_sshagent=1
fi

# This  will ensure that /var/lib/dbus/machine-id exists and has the
# uuid in it. It won't overwrite an existing uuid, since this id should
# remain fixed for a single machine until the next reboot at least. The
# important properties of the machine UUID are that 1) it remains unchanged
# until the next reboot and 2) it is different for any two running
# instances of the OS kernel. That is, if two processes see the same UUID,
# they should also see the same shared memory, UNIX domain sockets, local
# X displays, localhost.localdomain resolution, process IDs, and so forth.

dbus-uuidgen --ensure

# start E17 baby!

exec /usr/bin/enlightenment_start

if test  -eq 1; then
eval 
fi
exit 0
;;
esac
